1

At the moment I am running fedora-27 and I would like to upgrade it to fedeora-30. I followed the steps described in fedora wiki.

  1. sudo dnf upgrade --refresh
  2. sudo dnf install dnf-plugin-system-upgrade
  3. sudo dnf system-upgrade download --refresh --best --allowerasing --releasever=28
  4. sudo dnf system-upgrade reboot

Note that I tried to gradually upgrade to the next release instead of upgrading directly to fedora-30, since from previous experience (i.e. when wanting to upgrade from fedora-24 to fedora-27) I've found out that it was smoother.

After performing the dnf system-upgrade reboot command, my laptop rebooted, the upgrade screen when on and eventually I was booted again in fedora-27 while there is not fedora-28 option on the boot menu.

These are the steps that I followed to understand what's going wrong :

  1. I had a look after @DavidYockey 's suggestion to /boot in case there is something related to f28 but there is nothing there as well. (https://imgur.com/e192pbx.png). I also checked the /boot/grub2/grub.cfg file and there isn't any entry related to f28 (https://pastebin.com/Z81uJ0gr). So I guess that this means, it's not realated to grub.

  2. I checked with journalctl -r -p err but I couldn't see something helpful there, either apart from the following entry which doesn't specify why it failed to upgrade. (https://pastebin.com/dnaDHcAQ)

    systemd1: Failed to start System Upgrade using DNF.

  3. I then, had a look at the dnf.log file, which can be found here. I saw some critical errors there, but I am not sure what to do. For example

    2019-06-28T05:43:26Z CRITICAL Error opening file for checksum: /var/lib/dnf/system-upgrade/fedora-f21308f6293b3270/packages/compat-libicu57- 57.1-2.fc28.x86_64.rpm

    2019-06-28T05:43:26Z CRITICAL Package "compat-libicu57-57.1-2.fc28.x86_64" from repository "fedora" has incorrect checksum

  4. I run sudo dnf repolist all and it seems that some repositories are disabled enter image description here I am wondering how can I enable them; maybe I can't.

  5. I enabled the disabled repositories by editing the .repo files in /etc/yum.repos.d and changing the value of enable to 1 in the cases where it was 0 and then repeated sudo dnf upgrade --refresh, sudo dnf system-upgrade download --refresh --best --allowerasing --releasever=28 and sudo dnf system-upgrade reboot. Still the dnf.log gives me the same critical error seen in 3.

Any idea what to do next in order to eventually upgrade to fedora-30?

  • Just a thought... Maybe an entry for F28 just didn't get added to grub. Are there F28 files in /boot? – David Yockey Jun 27 at 20:30
  • You're probably aware of this, but for the benefit of anyone else reading... Upgrading from an end-of-life release, like F27, "is a less-tested and less-supported operation. You can try to upgrade" a couple of ways as described. (fedoraproject.org/wiki/…) To me, it reads like there are no guarantees. – David Yockey Jun 27 at 20:36
  • @DavidYockey : Thank you very much for your comment. There is nothing in /boot or /boot/grub2 related to f28 ( imgur.com/e192pbx ). There is also nothing in the /boot/grub2/grub.cfg file. So this means that it's not related to booting, which is an information! Thanks! Any idea on what might be the issue? – Thanos Jun 28 at 5:19
  • I'm a bit wary of suggesting too much and making things worse because I lack experience fixing broken version upgrades (I just restore from a clone and restart if something goes wrong). But a thought did cross my mind... Maybe dnf's mucked up, and maybe running dnf clean all would help? – David Yockey Jun 28 at 14:05
  • @DavidYockey : I have found a solution. It seems that the dnf clean all didn't help. The problem was a corrupted file (see my answer)! – Thanos Jul 1 at 6:48
1

The problem was the compat-libicu57- 57.1-2.fc28.x86_64.rpm file which was saved in

/var/lib/dnf/system-upgrade/fedora-f21308f6293b3270/packages/

The critical error that was encountered was referring to an incorrect checksum. To solve the issue the following steps were followed

  1. The /var/lib/dnf/system-upgrade/fedora-f21308f6293b3270/packages/compat-libicu57- 57.1-2.fc28.x86_64.rpm file was deleted
  2. I downloaded the compat-libicu57- 57.1-2.fc28.x86_64.rpm file from rmpfind.net
  3. I moved the downloaded .rpm file to /var/lib/dnf/system-upgrade/fedora-f21308f6293b3270/packages/
  4. I then run sudo dnf system-upgrade reboot and the system was upgraded to f28

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.